Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 452772

Summary: ImportError: No module named functions
Product: [Fedora] Fedora Reporter: Cristian Ciupitu <cristian.ciupitu>
Component: firstbootAssignee: Chris Lumens <clumens>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: caiqian, clumens, eswierk
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 16:40:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Cristian Ciupitu 2008-06-24 22:59:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
For some reason firstboot started when I booted my Fedora installation for the Nth time (where N>10) and it gave me this error:

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/firstboot/loader.py", line 87, in loadModules
    loaded = imputil.imp.load_module(module, found[0], found[1], found[2])
  File "/usr/share/firstboot/modules/firstboot_kdump.py", line 34, in <module>
    import functions
ImportError: No module named functions

Version-Release number of selected component (if applicable):
firstboot-1.97-1

How reproducible:
Didn't try


Steps to Reproduce:


Actual Results:


Expected Results:


Additional info:
I, also, have the kexec-tools-1.102pre-8.fc9.i386 package installed on my machine. I've installed it before rebooting the machine, maybe that's why firstboot was started.

Comment 1 Ed Swierk 2008-12-03 17:23:57 UTC
This appears to be a duplicate of bug 448098.

Comment 2 Bug Zapper 2009-06-10 01:46:23 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 16:40:22 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.